/**
 * ActRelationshipConditional.java
 *
 * File generated from the medication::ActRelationshipConditional uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipConditional.
 *
 * 
 */

@XmlType(name = "ActRelationshipConditional")
@XmlEnum
@XmlRootElement(name = "ActRelationshipConditional")
public enum ActRelationshipConditional {
	@XmlEnumValue("CIND")
	CIND("CIND"),
	@XmlEnumValue("PRCN")
	PRCN("PRCN"),
	@XmlEnumValue("TRIG")
	TRIG("TRIG"),
	@XmlEnumValue("RSON")
	RSON("RSON"),
	@XmlEnumValue("MITGT")
	MITGT("MITGT");
	
	private final String value;

    ActRelationshipConditional(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActRelationshipConditional fromValue(String v) {
        for (ActRelationshipConditional c: ActRelationshipConditional.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}